import asyncio
import websockets
import sys
import aiofiles as aiof

"""
This is a simple server used for testing the client 
"""
FILENAME = "messages.txt"

async def hello(websocket, path):
    async for message in websocket:
        async with aiof.open(FILENAME, "a") as out:
            #print(message)
            await out.write(message)
            await out.flush()
            #print("Written*")

    #greeting = f"Hey, this is sent from server!"
        #await websocket.send(greeting)
        #print(f"> {greeting}")
        await websocket.send(message)



f = open(FILENAME, 'w')
f.close()

port = 5055
if len(sys.argv) > 1:
    port = int(sys.argv[1])


#print("Starting the listener...")
# Serving on: ws://localhost:5051
start_server = websockets.serve(hello, "localhost", port)

asyncio.get_event_loop().run_until_complete(start_server)
asyncio.get_event_loop().run_forever()
