#include <QtCore/QCoreApplication>
#include <QtConcurrent/QtConcurrent>
#include "Tester.h"

/**
 * The tests firstly compile the whole project, then launch the server and then star
 * It is all automated
 */
int main(int argc, char *argv[])
{
    QThread main_thread;
    QCoreApplication a(argc, argv);
    qRegisterMetaType<Message>();
    auto x = Tester();
    x.moveToThread(&main_thread);
    main_thread.start();
    QMetaObject::invokeMethod(&x, "test_all"); // so that the command is run in respective thread

    main_thread.wait();
}
