#include "login.h"
#include "ui_login.h"

Login::Login(QWidget *parent) :
    QDialog(parent),
    ui(std::make_unique<Ui::login>())
{
    ui->setupUi(this);
    this->setWindowTitle("Login");
}

Login::~Login() = default;

void Login::on_loginButton_clicked()
{
    emit login_clicked(ui->lineName->text(), ui->linePassword->text());
    this->close();
}

void Login::on_cancelButton_clicked()
{
    this->close();
}
